Bug 176443 - [patch] graphics/netpbm
Summary: [patch] graphics/netpbm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-26 17:40 UTC by Lawrence Chen
Modified: 2013-03-10 19:25 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (6.65 KB, text/plain)
2013-02-26 17:40 UTC, Lawrence Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence Chen 2013-02-26 17:40:00 UTC
	Now there is no documentation available for netpbm commands

Fix: So install the manpages then.
	Added port option to do so, also make it so X11 option is visible.
How-To-Repeat: 	Call manweb on any netpbm command

	manweb is now missing
Comment 1 Edwin Groothuis freebsd_committer 2013-02-26 17:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2013-03-09 17:14:37 UTC
State Changed
From-To: open->feedback




Build fails 

[...] 
Downloaded: 398 files, 1.9M in 8.9s (219 KB/s) 
File "/data/image//usr/ports/graphics/netpbm/work/netpbm-10.35.88/buildtools/makeman", line 300 
raise exc_type, exc_value, exc_traceback 
^
Comment 3 Lawrence Chen 2013-03-10 01:52:38 UTC
>Problems:
>- fetching in build stage.

If somebody wants to roll a distfile of
http://netpbm.sourceforge.net/doc, or if there already is, can try that.

>- broken package without option MANPAGES

works fine for me with or without MANPAGES option.

>- does only work with obsolete python

the default 'lang/python' is obsolete? who should PR that?  Though maybe
that's why all the other ports have forced it on me.  But, I didn't feel
like rewriting part of the netpbm source just because I don't like python.

>- netpbm.1 is installed twice

netpbm.1 is not installed twice.

either MANPAGES is set and it installed netpbm.1 as part of the MAN1 for
loop using the one generated from html, else it installs the
doc/netpbm.1 that points to doc/USERDOC.

Where the doc/USERDOC then details the use of manweb, which is now
missing. Then it gives details on how to view the netpbm doc with the
traditional man program, which is what this patch is (directly) based on.
Comment 4 dfilter service freebsd_committer 2013-03-10 06:00:53 UTC
Author: dinoex
Date: Sun Mar 10 06:00:45 2013
New Revision: 313806
URL: http://svnweb.freebsd.org/changeset/ports/313806

Log:
  - use OPTIONS_DEFINE
  PR:		176443

Modified:
  head/graphics/netpbm/Makefile
  head/graphics/netpbm/distinfo

Modified: head/graphics/netpbm/Makefile
==============================================================================
--- head/graphics/netpbm/Makefile	Sun Mar 10 05:47:05 2013	(r313805)
+++ head/graphics/netpbm/Makefile	Sun Mar 10 06:00:45 2013	(r313806)
@@ -5,7 +5,9 @@ PORTNAME=	netpbm
 PORTVERSION=	10.35.88
 PORTREVISION=	1
 CATEGORIES=	graphics
-MASTER_SITES=	SF/netpbm/super_stable/${PORTVERSION}
+MASTER_SITES=	SF/netpbm/super_stable/${PORTVERSION} \
+		${MASTER_SITE_LOCAL:S/$/:man/}
+MASTER_SITE_SUBDIR=	dinoex/:man
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	dinoex@FreeBSD.org
@@ -32,6 +34,8 @@ USE_LDCONFIG=	yes
 
 MAN1=		netpbm.1
 
+OPTIONS_DEFINE=	X11 MANPAGES
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MX11}
@@ -42,6 +46,75 @@ PLIST_SUB+=	X11=''
 PLIST_SUB+=	X11='@comment '
 .endif
 
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MMANPAGES}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} netpbm-manpages-2013-03-09${EXTRACT_SUFX}:man
+# lifted from ${WRKSRC}/buildtools/Makefile.manpage
+HMAN1+=	411toppm.1 anytopnm.1 asciitopgm.1 atktopbm.1 bioradtopgm.1 \
+	bmptopnm.1 bmptoppm.1 brushtopbm.1 cmuwmtopbm.1 ddbugtopbm.1 \
+	escp2topbm.1 eyuvtoppm.1 fiascotopnm.1 fitstopnm.1 fstopgm.1 \
+	g3topbm.1 gemtopbm.1 gemtopnm.1 giftopnm.1 gouldtoppm.1 hdifftopam.1 \
+	hipstopgm.1 hpcdtoppm.1 icontopbm.1 ilbmtoppm.1 imgtoppm.1 \
+	infotopam.1 jbigtopnm.1 jpeg2ktopam.1 jpegtopnm.1 leaftoppm.1 \
+	lispmtopgm.1 macptopbm.1 mdatopbm.1 mgrtopbm.1 mrf.1 mrftopbm.1 \
+	mtvtoppm.1 neotoppm.1 palmtopnm.1 pamarith.1 pamchannel.1 pamcomp.1 \
+	pamcut.1 pamdeinterlace.1 pamdice.1 pamditherbw.1 pamedge.1 \
+	pamendian.1 pamfile.1 pamflip.1 pamfunc.1 pamgauss.1 pamlookup.1 \
+	pamoil.1 pamperspective.1 pampop9.1 pamscale.1 pamseq.1 pamsharpmap.1 \
+	pamsharpness.1 pamslice.1 pamstack.1 pamstereogram.1 pamstretch-gen.1 \
+	pamstretch.1 pamsummcol.1 pamsumm.1 pamtodjvurle.1 pamtohdiff.1 \
+	pamtohtmltbl.1 pamtojpeg2k.1 pamtopfm.1 pamtopnm.1 pamtotga.1 \
+	pamtouil.1 pbmclean.1 pbmlife.1 pbmmake.1 pbmmask.1 pbmpage.1 \
+	pbmpscale.1 pbmreduce.1 pbmtext.1 pbmtextps.1 pbmto10x.1 pbmto4425.1 \
+	pbmtoascii.1 pbmtoatk.1 pbmtobbnbg.1 pbmtocmuwm.1 pbmtodjvurle.1 \
+	pbmtoepsi.1 pbmtoepson.1 pbmtoescp2.1 pbmtog3.1 pbmtogem.1 pbmtogo.1 \
+	pbmtoicon.1 pbmtolj.1 pbmtoln03.1 pbmtolps.1 pbmtomacp.1 pbmtomda.1 \
+	pbmtomgr.1 pbmtomrf.1 pbmtonokia.1 pbmtopgm.1 pbmtopi3.1 pbmtopk.1 \
+	pbmtoplot.1 pbmtoppa.1 pbmtopsg3.1 pbmtoptx.1 pbmtowbmp.1 \
+	pbmtox10bm.1 pbmtoxbm.1 pbmtoybm.1 pbmtozinc.1 pbmupc.1 pc1toppm.1 \
+	pcdovtoppm.1 pcxtoppm.1 pfmtopam.1 pgmabel.1 pgmbentley.1 pgmcrater.1 \
+	pgmedge.1 pgmenhance.1 pgmhist.1 pgmkernel.1 pgmminkowski.1 \
+	pgmmorphconv.1 pgmnoise.1 pgmnorm.1 pgmoil.1 pgmramp.1 pgmslice.1 \
+	pgmtexture.1 pgmtofs.1 pgmtolispm.1 pgmtopbm.1 pgmtopgm.1 pgmtoppm.1 \
+	pi1toppm.1 pi3topbm.1 picttoppm.1 pjtoppm.1 pktopbm.1 pngtopnm.1 \
+	pnmalias.1 pnmarith.1 pnmcat.1 pnmcolormap.1 pnmcomp.1 pnmconvol.1 \
+	pnmcrop.1 pnmcut.1 pnmdepth.1 pnmfile.1 pnmgamma.1 pnmhisteq.1 \
+	pnmhistmap.1 pnmindex.1 pnminterp.1 pnminvert.1 pnmmargin.1 \
+	pnmmontage.1 pnmnlfilt.1 pnmnoraw.1 pnmnorm.1 pnmpad.1 pnmpaste.1 \
+	pnmpsnr.1 pnmquant.1 pnmremap.1 pnmrotate.1 pnmscalefixed.1 \
+	pnmscale.1 pnmshear.1 pnmsmooth.1 pnmsplit.1 pnmstitch.1 pnmtile.1 \
+	pnmtoddif.1 pnmtofiasco.1 pnmtofits.1 pnmtojbig.1 pnmtojpeg.1 \
+	pnmtopalm.1 pnmtopclxl.1 pnmtoplainpnm.1 pnmtopng.1 pnmtopnm.1 \
+	pnmtops.1 pnmtorast.1 pnmtorle.1 pnmtosgi.1 pnmtosir.1 \
+	pnmtotiffcmyk.1 pnmtotiff.1 pnmtoxwd.1 ppm3d.1 ppmbrighten.1 \
+	ppmchange.1 ppmcie.1 ppmcolormask.1 ppmdim.1 ppmdist.1 ppmdither.1 \
+	ppmfade.1 ppmflash.1 ppmforge.1 ppmglobe.1 ppmhist.1 ppmlabel.1 \
+	ppmmake.1 ppmmix.1 ppmnorm.1 ppmntsc.1 ppmpat.1 ppmquantall.1 \
+	ppmquant.1 ppmrainbow.1 ppmrelief.1 ppmrough.1 ppmshadow.1 \
+	ppmshift.1 ppmspread.1 ppmsvgalib.1 ppmtoacad.1 ppmtoarbtxt.1 \
+	ppmtobmp.1 ppmtoeyuv.1 ppmtogif.1 ppmtoicr.1 ppmtoilbm.1 ppmtojpeg.1 \
+	ppmtoleaf.1 ppmtolj.1 ppmtomitsu.1 ppmtompeg.1 ppmtoneo.1 ppmtopcx.1 \
+	ppmtopgm.1 ppmtopi1.1 ppmtopict.1 ppmtopj.1 ppmtopjxl.1 ppmtoppm.1 \
+	ppmtopuzz.1 ppmtorgb3.1 ppmtosixel.1 ppmtoterm.1 ppmtotga.1 \
+	ppmtouil.1 ppmtowinicon.1 ppmtoxpm.1 ppmtoyuv.1 ppmtoyuvsplit.1 \
+	ppmtv.1 ppmwheel.1 psidtopgm.1 pstopnm.1 qrttoppm.1 rasttopnm.1 \
+	rawtopgm.1 rawtoppm.1 rgb3toppm.1 rletopnm.1 sbigtopgm.1 sgitopnm.1 \
+	sirtopnm.1 sldtoppm.1 spctoppm.1 spottopgm.1 sputoppm.1 tgatoppm.1 \
+	thinkjettopbm.1 tifftopnm.1 vidtoppm.1 wbmptopbm.1 winicontoppm.1 \
+	xbmtopbm.1 ximtoppm.1 xpmtoppm.1 xvminitoppm.1 xwdtopnm.1 ybmtopbm.1 \
+	yuvsplittoppm.1 yuvtoppm.1 zeisstopnm.1
+.if ${PORT_OPTIONS:MX11}
+HMAN1+=	pamx.1
+.endif
+HMAN3=	libnetpbm.3 libnetpbm_image.3 libnetpbm_ug.3 libpbm.3 \
+	libpgm.3 libpm.3 libpnm.3 libppm.3 libsystem.3 libtmpfile.3
+HMAN5=	extendedopacity.5 pam.5 pbm.5 pgm.5 pnm.5 ppm.5
+MAN1+=	${HMAN1}
+MAN3+=	${HMAN3}
+MAN5+=	${HMAN5}
+.endif
+
 pre-configure:
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
 		-e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
@@ -70,10 +143,15 @@ post-install:
 	@${ECHO_MSG} "===>  Installing man pages..."
 	@${REINPLACE_CMD} -e 's|doc/USERDOC|${DOCSDIR}/USERDOC|g' \
 		${WRKSRC}/doc/netpbm.1
-	${INSTALL_MAN} ${WRKSRC}/doc/netpbm.1 ${MANPREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/doc/netpbm.1 ${MANPREFIX}/man/man1/
+.if ${PORT_OPTIONS:MMANPAGES}
+	(cd ${WRKDIR}/doc && ${INSTALL_MAN} ${HMAN1} ${MANPREFIX}/man/man1/)
+	(cd ${WRKDIR}/doc && ${INSTALL_MAN} ${HMAN3} ${MANPREFIX}/man/man3/)
+	(cd ${WRKDIR}/doc && ${INSTALL_MAN} ${HMAN5} ${MANPREFIX}/man/man5/)
+.endif
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/USERDOC ${DOCSDIR}/
 .endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/graphics/netpbm/distinfo
==============================================================================
--- head/graphics/netpbm/distinfo	Sun Mar 10 05:47:05 2013	(r313805)
+++ head/graphics/netpbm/distinfo	Sun Mar 10 06:00:45 2013	(r313806)
@@ -1,2 +1,4 @@
 SHA256 (netpbm-10.35.88.tgz) = 20af2adeefecb1f4c71e1f97b3bb322d02711b1db787a4bd1326e1710bf2df91
 SIZE (netpbm-10.35.88.tgz) = 2550967
+SHA256 (netpbm-manpages-2013-03-09.tgz) = 430a9c5becbc55e2fed832fa40d9fb050ac6ad426cbf39dc73af5d6be37f8cd6
+SIZE (netpbm-manpages-2013-03-09.tgz) = 1464320
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2013-03-10 19:24:52 UTC
State Changed
From-To: feedback->closed


I committed static manapges.